<?xml version="1.0" encoding="UTF-8"?>

<!--
|>
| UCM VIEWER 1-1-1 - UCMV XSL [http://www.universalchemicalmarkup.org]
| Updated: 2015-03-23
| License: GNU GPL 3 [http://www.gnu.org/licenses/gpl-3.0.html]
| Author: Jan Mokrý (Main corresponding author:
|                    Contact information is at the project website.)
|>
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ucm="http://www.universalchemicalmarkup.org" version="1.0">

<xsl:output method="html" doctype-system="about:legacy-compat" indent="no"/>

<xsl:template match="/">

<html>

    <head>
        <meta charset="utf-8"/>
        <link rel="stylesheet" type="text/css" href="Ucmv.css"/>
        <title>UCM VIEWER</title>
    </head>

    <body onload="loadFile()">

        <div id="TOOLBAR">
            <h1>UCM VIEWER</h1>
            <div id="BUTTONS">
                <button id="TB-CONTROLS" onclick="toggleDivAndButton('CONTROLS')">Controls</button>
                <button id="TB-DESCRIPTIONS" onclick="toggleDivAndButton('DESCRIPTIONS')">Descriptions</button>
                <button id="TB-IDENTIFIERS" onclick="toggleDivAndButton('IDENTIFIERS')">Identifiers</button>
                <button id="TB-PROPERTIES" onclick="toggleDivAndButton('PROPERTIES')">Properties</button>
                <button id="TB-HINTS" onclick="toggleDivAndButton('HINTS')">Hints</button>
            </div>
        </div>

        <div id="CANVAS"></div>

        <div id="CONTROLS" class="SCROLLPANE">
            <div class="CONTENT">
                <h2>CONTROLS</h2>
                <div id="SCENE-CONTROLS"></div>
            </div>
        </div>

        <div id="DESCRIPTIONS" class="SCROLLPANE"><div class="CONTENT"><h2>DESCRIPTIONS</h2></div></div>
        <div id="IDENTIFIERS" class="SCROLLPANE"><div class="CONTENT"><h2>IDENTIFIERS</h2></div></div>
        <div id="PROPERTIES" class="SCROLLPANE"><div class="CONTENT"><h2>PROPERTIES</h2></div></div>

        <div id="HINTS" class="SCROLLPANE">
            <div class="CONTENT">
                <h2>HINTS</h2>
                <h3>CONTROLS</h3>
                <p>Displays controls when the UCM file is successfully loaded and rendered.</p>
                <h3>DESCRIPTIONS</h3>
                <p>Displays descriptions loaded from the UCM file.</p>
                <h3>IDENTIFIERS</h3>
                <p>Displays identifiers loaded from the UCM file.</p>
                <h3>PROPERTIES</h3>
                <p>Displays properties loaded from the UCM file.</p>
                <h3>TROUBLESHOOTING</h3>
                <p>If the UCM file was not loaded and rendered correctly, check that UCM VIEWER files are in the same directory as the UCM file being loaded. Also check that the UCM file is associated with the UCM VIEWER stylesheet using this code: "&lt;?xml-stylesheet type="text/xsl" href="Ucmv.xsl"?&gt;".</p>
                <p>When running UCM VIEWER directly from your local device instead of a web server and the UCM file is still not being loaded and rendered correctly, your web browser has probably disabled access to local files, because it uses a very strict "same origin" policy.</p>
                <p>The first possible solution is to serve the UCM VIEWER directory with the UCM file using a local web server. It is especially useful if the web browser restricts the access to local files without providing an easy option to override this. For example with Python installed, you can serve the UCM VIEWER directory by executing a single command "python -m SimpleHTTPServer" (from that directory). Then just open "http://0.0.0.0:8000/UCM--FILENAME.xml" (adjust the filename accordingly) in your web browser to load and render the UCM file with UCM VIEWER from the local web server.</p>
                <p>The second possible solution is to find the web browser option for overriding the "same origin" security feature. For example Mozilla Firefox should work if the UCM file is in the same directory as UCM VIEWER files, otherwise you may need to set the "security.fileuri.strict_origin_policy" option to "false" in "about:config" (e.g. when you want to use UCM VIEWER files from other directory and you have changed the relevant paths in UCM VIEWER files).</p>
            </div>
        </div>

        <div id="HIGHLIGHTED-ITEMS-DETAILS"><h2>HIGHLIGHTED ITEMS DETAILS</h2></div>
        <div id="ERRORS"><button onclick="$('#ERRORS').hide()">Hide Errors</button></div>

        <script type="text/javascript" src="UcmvDepencencyJquery.js"></script>
        <script type="text/javascript" src="UcmvDepencencyThree.js"></script>
        <script type="text/javascript" src="Ucmv.js"></script>

    </body>

</html>

</xsl:template>

</xsl:stylesheet>
